Skip to main content

Request Errors

The request to the /accounts/{acc_id} endpoint failed. These are the sub_type that can be returned.

INVALID_REQUEST

The request body failed basic validation for the specific API endpoint.

NOT_FOUND

The requested resource does not exist.

INVALID_HOLDER_ID

The provided holder_id does not match an existing entity. Consent for this account has already been withdrawn. Consent for this account has already been granted.

ACCOUNT_HAS_PAYMENT_IN_PROGRESS

Consent for this account cannot be withdrawn as it has one or more associated payments in progress.

ENTITY_CANNOT_PERFORM_ACTION

The holder Entity is disabled and cannot perform the requested action.

INVALID_ACCOUNT_DETAILS

The liability details provided are invalid.

INVALID_PRODUCTS_OR_SUBSCRIPTIONS

The request references products or subscriptions that are invalid for this Account.

INVALID_ROUTING_NUMBER

The routing number provided is invalid.

ACCOUNT_DATA_SYNC_UNAVAILABLE

The Account is missing the data:sync capability.

ACCOUNT_HOLDER_MISSING_CAPABILITY

The Account’s holder Entity must have the data:sync capability.

CARD_FIELDS_INVALID_FOR_SENSITIVE

The fields provided are not valid for card sensitive data.

CARD_TYPE_NOT_SUPPORTED

The card type is not supported for this operation.

CARD_UNSUPPORTED_FOR_ACCOUNT_TYPE

Cards are not supported for this account type.

CLOSED_ACCOUNT_CANNOT_BE_REACTIVATED

Closed accounts cannot be reactivated, except for student loans.

EXISTING_ACCOUNT_DISABLED

An existing account with the same information has been disabled. Contact Method support to resolve this issue.

INVALID_ACH_ACCOUNT_NUMBER

The ACH account number is invalid. Account numbers should only contain digits.

INVALID_ACH_ACCOUNT_ROUTING

The ACH routing number is invalid. Routing numbers should only contain digits.

INVALID_ACH_ACCOUNT_TYPE

The ACH account type is invalid. Valid types are checking and savings.

INVALID_HOLDER_TYPE

Only individual Entities can hold liability accounts.

INVALID_TEAM_FBO

The team_fbo_account_id provided is not an open FBO account for your team.

INVALID_TEST_ACCOUNT

The account details provided belong to a fake test account. Only use real accounts in live environments (sandbox / production).

MAX_ACCOUNT_METADATA_SIZE_EXCEEDED

The maximum metadata object size of 1KB was exceeded.

Resource Errors

Errors set on an Account’s error property for processes that are unsuccessful.

11001 – ACCOUNT_INVALID_DETAILS

The details on the Account are invalid as reported by the FI.

Causes

  • Incorrect Account information - the account number or routing number is incorrect.
  • The Account could not be located.

Resolution

The Account will be disabled and all its capabilities will be removed.

11002 – ACCOUNT_UNAUTHORIZED_PAYMENT

The holder of the Account did not authorize a payment.

Causes

  • A payment was stopped by the Account holder because they didn’t authorize the payment.

Resolution

The account will be disabled and all its capabilities will be removed.

11003 – ACCOUNT_CLOSED

The Account has been closed.

Causes

  • Account is closed.

Resolution

The account will be disabled and all its capabilities will be removed.
The holder of the Account withdrew consent.

Causes

  • Account consent was withdrawn.

Resolution

The account will be disabled and all its capabilities will be removed.

11005 – ACCOUNT_DISABLED_INVALID_STATE

The underlying liability is in an invalid state.

Causes

  • The underlying liability is in an unexpected state.

Resolution

The account will be disabled and all its capabilities will be removed.

11006 – ACCOUNT_DISABLED_HOLDER_ENTITY_DISABLED

The Account was disabled because its holder Entity was disabled.

Causes

  • The Entity that holds this Account was disabled (for example, due to consent withdrawal or a failed verification).

Resolution

The Account will be disabled and all its capabilities will be removed. Resolve the holder Entity’s status before reactivating the Account.